* {
    margin: 0;
    padding: 0;
    font-family: "Basic", sans-serif;
    font-size: x-large;
}
html {
    scroll-behavior: smooth;
}
body {
    background-image: url("../resources/bg.png");
}

/* Estilos do Scroll */
::-webkit-scrollbar {
    width: 10px;
}
::-webkit-scrollbar:horizontal {
    height: 15px;
}
::-webkit-scrollbar-thumb {
    background-color: #8c462f;
}
::-webkit-scrollbar-thumb:horizontal {
    border-radius: 10px;
}
::-webkit-scrollbar-track {
    background: #8c462f7e;
}
::-webkit-scrollbar-track:horizontal {
    border-radius: 10px;
}

/* Estilos do Back to Top */
.arrow-top {
    width: 100px;
    height: 100px;
    position: fixed;
    bottom: 0;
    right: 0;
    z-index: 3;
}
.arrow-top a {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.arrow-top a svg {
    width: 50px;
    transition-duration: .3s;
    fill: #8c462f;
}
.arrow-top a svg:hover {
    transform: scale(0.93);
}

/* Estilos de navegação */
header {
    margin: 0 25%;
    padding-top: 20px;
}
nav.default {
    margin-bottom: 50px;
}
nav.default ul {
    display: flex;
    justify-content: space-between;
    list-style: none;
    padding-left: 0 !important;
}
header nav.default a {
    text-decoration: none;
    color: #8c462f;
    transition-duration: 0.5s;
}
nav.default ul li a:hover {
    background-color: #007031;
    color: white;
    border: none;
}
#pagina-selecionada {
    background-color: #007031;
    color: white;
    padding: 7px 20px;
}
.itens {
    padding: 7px 20px;
    border-top: 1px solid #8c462f;
    border-bottom: 1px solid #8c462f;
}
/* Estilos Navegação Mobile */
nav.mobile {
    display: none;
    justify-content: space-between;
    align-items: center;
}
.sessao-logo-mobile {
    display: flex;
    justify-content: space-between;
    width: 400px;
    align-items: center;
    position: relative;
}
.sessao-logo-mobile > a {
    position: absolute;
    width: 100%;
    height: 100%;
}
.sessao-logo-mobile img {
    width: 30%;
}
.sessao-logo-mobile h1 {
    position: unset;
    text-align: start;
    font-size: 25px;
    width: 90%;
}
.hamburguer {
    cursor: pointer;
}
.hamburguer-close {
    background-color: rgb(255, 253, 220);
    border-radius: 50%;
    padding: 10px 6px;
    margin: 0 auto;
    padding-right: 6px;
}
.hamburguer.active .bar:nth-child(2), .hamburguer-close span:nth-child(2) {
    opacity: 0;
}
.hamburguer.active .bar:nth-child(1), .hamburguer-close span:first-child {
    transform: translateY(8px) rotate(45deg);
}
.hamburguer.active .bar:nth-child(3), .hamburguer-close span:last-child {
    transform: translateY(-8px) rotate(-45deg);
}
.bar, .bar-mobile {
    display: block;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}
.bar {
    background-color: #007031;
    width: 30px;
    height: 3px;
    margin: 8px auto;
}
.bar-mobile {
    background-color: #006d2f;
    width: 40px;
    height: 3px;
    margin: 5px auto;
}
.nav-menu {
    display: flex;
    flex-direction: column;
    position: fixed;
    right: -100%;
    top: 0;
    background-color: #8c462f;
    width: 100%;
    height: 100vh;
    text-align: center;
    transition: .3s;
    z-index: 3;
    list-style: none;
    gap: 70px;
    padding-top: 50px;
    padding-left: 0;
}
.nav-menu .itens-mobile {
    margin: 16px 0;
}
.nav-menu.active {
    right: 0;
}
.nav-menu .itens-mobile {
    color: white;
    text-decoration: none;
}

/* Estilos da logo */
.sessao-logo {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 80px;
    position: relative;
}
.sessao-logo img {
    width: 150px;
    height: 150px;
}
h1 {
    font-family: "Fredericka the Great", serif;
    font-weight: 600;
    font-size: 40px;
    color: #018A3D;
    text-align: center;
    position: absolute;
    bottom: -30px;
}

/* Rodapé da página */
footer {
    background-color: #007031;
    padding: 20px 25%;
}
footer p {
    font-size: 12px;
    color: white;
}
.content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}
.content > img {
    width: 60px;
    height: 60px;
    background-color: white;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 7px;
}
.icons {
    width: 180px;
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
}
.icons a {
    text-decoration: none;
}
.icons a img {
    width: 40px;
    background-color: white;
    border-radius: 50%;
    border: 5px solid white;
}
.address {
    text-align: center;
}
.footer-contato {
    display: flex;
    gap: 10px;
    align-items: center;
    width: 50%;
    margin: 20px 0;
}
.footer-contato svg path {
    fill: white;
}
.footer-contato svg {
    min-width: 20px;
}
.phone, .email {
    display: flex;
    align-items: center;
    width: 50%;
}
.phone {
    justify-content: start;
}
.email {
    justify-content: end;
}
.email svg {
    margin-right: 5px;
}
.phone p, .email p {
    margin: 0;
}
footer div:last-child:not(.email) {
    display: flex;
    justify-content: space-between;
}

@media (max-width: 1580px) {
    header {
        margin: 0 20%;
    }
}
@media (max-width: 1420px) {
    header {
        margin: 0 15%;
    }
}
@media (max-width: 1150px) {
    header {
        margin: 0 10%;
    }
    footer {
        padding: 20px 10%;
    }
}
@media (max-width: 1000px) {
    header {
        margin: 0 5%;
    }
}
@media (max-width: 880px) {
    nav.default, .sessao-logo {
        display: none;
    }
    nav.mobile {
        display: flex;
    }
}
@media (max-width: 820px) {
    header {
        margin: 0 1%;
    }
    .footer-contato {
        flex-direction: column;
    }
    .phone, .email {
        justify-content: center;
        flex-direction: column;
        gap: 5px;
    }
    .email svg {
        margin-right: 0;
    }
}
@media (max-width: 600px) {
    .hamburguer {
        margin-right: 10px;
    }
    footer {
        padding: 20px 1%;
    }
    footer div:last-child:not(.email) {
        flex-direction: column;
    }
    footer div:last-child p {
        text-align: center;
    }
    .footer-contato {
        width: 100%;
    }
    .phone, .email {
        width: 100%;
    }
}
@media (max-width: 500px) {
    h1 {
        display: none;
    }
    .sessao-logo-mobile {
        width: 100px;
    }
    .sessao-logo-mobile > img {
        width: 100%;
    }
}
@media (max-height: 700px) {
    .nav-menu {
        gap: 50px;
    }
}